Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CursorManager Class Reference

`#include <platformInput.h>`

## Classes
struct | cursors

## Public Types
enum | { curArrow = 0, curWait, curPlus, curResizeVert, curResizeHorz, curResizeAll, curIBeam, curResizeNESW, curResizeNWSE }

## Public Member Functions
void | pushCursor (S32 cursorID)
void | popCursor ()
| Pop a Cursor from the Stack. More...
void | refreshCursor ()
| Refresh the Cursor. More...

## Protected Member Functions
void | changeCursorShape (S32 cursorID)
| Change the Current Cursor Shape. More...

## Protected Attributes
Vector< cursors > | mCursors
| A Vector of Platform Cursors. More...

## Detailed Description

A Singleton LIFO stack of platform cursor shapes

The CursorManager class manages a LIFO stack of platform cursor shapes with a standard platform cursor at the bottom, usually an Arrow Cursor.

## Member Enumeration Documentation

anonymous enum

Enumerator
curArrow | Default Cursor.
curWait | Hourglass Cursor.
curPlus | Arrow Plus.
curResizeVert | Resize Vertical.
curResizeHorz | Resize Horizontal.
curResizeAll | Resize All.
curIBeam | IBeam Used for Text Entry.
curResizeNESW | Resize NESW.
curResizeNWSE | Resize NWSE.

## Member Function Documentation

void changeCursorShape | ( | S32 | cursorID | ) |
| protected

Change the Current Cursor Shape.

void popCursor | ( |  | ) |

Pop a Cursor from the Stack.

void pushCursor | ( | S32 | cursorID | ) |

Push a Cursor onto the Stack

Parameters

  cursorID | The Cursor ID to use

void refreshCursor | ( |  | ) |

Refresh the Cursor.

## Member Data Documentation

Vector<cursors> mCursors
| protected

A Vector of Platform Cursors.

The documentation for this class was generated from the following files:

- platform/platformInput.h
- platform/CursorManager.cc